Subject: [manet] New Version Notification for draft-ietf-manet-nhdp-sec-threats-02.txt

From: Jiazi Yi <[email-masked]>
Date: Wed, 20 Mar 2013 12:10:50 +0100

Dear all, 

The authors of nhdp-sec-threats have submitted a new revision based on the comments during WGLC. 

The only technical change is that, a new sub-section is added on link quality update:

==========
4.8.  Attack on Link Quality Update

  According to NHDP, "Link quality is a mechanism whereby a router MAY
  take considerations other than message exchange into account for
  determining when a link is and is not a candidate for being
  considered as HEARD or SYMMETRIC.  As such, it is a link admission
  mechanism.".

  Section 14.4 of NHDP [RFC6130] then lists several examples of which
  information can be used to update link quality.  One of the listed
  examples is to update link quality based on [RFC5444] packet
  exchanges between neighbor routers, e.g., an NHDP Router may update
  the link quality of a neighbor based on receipt or loss of packets if
  they include a sequential packet sequence number.

  NHDP does not specify how to acquire link quality updates
  normatively, however, attack vectors may be introduced if an
  implementation chooses to calculate link quality based on packet
  sequence numbers.  The consequences of such threats would depend on
  specific implementations.  For example, if the link quality update is
  based on sequential packet sequence number from neighbor routers, a
  Comprised NDHP Router can spoof packets appearing to be from another
  Legitimate NHDP Router that skips some packet sequence numbers.  The
  NHDP Router receiving the spoofed packets may degrade the link
  quality as it appears that several packets have been dropped.
  Eventually, the router remove the neighbor when the link quality
  drops below HYST_REJECT.
==========

Your comments are welcome. 

@chairs:
I suppose that if this section gets approved, there is no need for another WGLC for the whole document?

best

Jiazi

Begin forwarded message:

> From: [email-masked]
> Subject: New Version Notification for draft-ietf-manet-nhdp-sec-threats-02.txt
> Date: March 20, 2013 11:43:53 AM GMT+01:00
> To: [email-masked]
> Cc: [email-masked], [email-masked]
> 
> 
> A new version of I-D, draft-ietf-manet-nhdp-sec-threats-02.txt
> has been successfully submitted by Jiazi Yi and posted to the
> IETF repository.
> 
> Filename:	 draft-ietf-manet-nhdp-sec-threats
> Revision:	 02
> Title:		 Security Threats for NHDP
> Creation date:	 2013-03-20
> Group:		 manet
> Number of pages: 17
> URL:             http://www.ietf.org/internet-drafts/draft-ietf-manet-nhdp-sec-threats-02.txt
> Status:          http://datatracker.ietf.org/doc/draft-ietf-manet-nhdp-sec-threats
> Htmlized:        http://tools.ietf.org/html/draft-ietf-manet-nhdp-sec-threats-02
> Diff:            http://www.ietf.org/rfcdiff?url2=draft-ietf-manet-nhdp-sec-threats-02
> 
> Abstract:
>   This document analyses common security threats of the Neighborhood
>   Discovery Protocol (NHDP), and describes their potential impacts on
>   MANET routing protocols using NHDP.
> 
> 
> 
> 
> The IETF Secretariat
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 23 Mar 2013 21:06:38 +0100

To: Editors and co-chairs

I agree with changes but draft needs to not ignore
participants/efforts, please add my name in  the acknowledgement
section, if not please explain, otherwise I will need to report to AD,

Regards
Abdussalam Baryun

On 3/20/13, Jiazi Yi <[email-masked]> wrote:
>> URL:
>> http://www.ietf.org/internet-drafts/draft-ietf-manet-nhdp-sec-threats-02.txt
>> Status:
>> http://datatracker.ietf.org/doc/draft-ietf-manet-nhdp-sec-threats
>> Htmlized:
>> http://tools.ietf.org/html/draft-ietf-manet-nhdp-sec-threats-02
>> Diff:
>> http://www.ietf.org/rfcdiff?url2=draft-ietf-manet-nhdp-sec-threats-02
>>
>> Abstract:
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>

---

From: Jiazi Yi <[email-masked]>
Date: Sat, 23 Mar 2013 23:29:16 +0100

Dear AB, 

On this particular issue (threats of packet sequence number), as far as I can remember, the change was not based on (or influenced by) your input. In the meantime, the input from Chris, Henning, Teco, etc., does have impact on the document. 

It is true that you mentioned several times that message sequence number threat should be kept in nhdp-sec-threat. However, you didn't provide valid technical argument why it should be kept. Actually, there is no doubt that the original section of sequence number in -00 revision was wrong. 

My understanding of "IETF input" must be based on technical argument. 
Simply saying "I want *foo*, not *bar*" - without explaining why - doesn't say much thing. Even *foo* was adopted in the end. 
In the contrast, even some one is against *foo*, but he provided valid arguments during the discussion that help improving the design, he should be regarded as contributor. 

Last but not least, we acknowledged all the MANET participants - if you regard yourself as one of the participants, then you are acknowledged. 

btw, I remembered that you brought a discussion on RFC Acknowledgement http://www.ietf.org/mail-archive/web/ietf/current/msg77065.html before. I didn't follow that thread, but I think other participants have already explained fairly well how it works. 
My personal suggestion is that, if you put move attention to the previous sections of the document(s), rather than acknowledgment section, you would be naturally listed there - that's how IETF works. 

sincerely 

Jiazi

On Mar 23, 2013, at 9:17 PM, Abdussalam Baryun <[email-masked]> wrote:

> Hi Jiazi (draft editor)
> 
> Please note that I had effort to make below change in this draft, but
> my name is not in acknowledgement as others were. Please add my name.
> I don't think the changes was not influenced by my inputs and
> discussions. I don't think that the changes was to happen if I ignored
> the draft ( i.e. it was in WGLC and not much discussions). I don't
> think I should be discouraged,
> 
> Best regards
> Abdussalam Baryun,
> +++++++++++++++++
> If the IETF culture is to encourage participants then editors SHOULD
> add efforts owners in acknowledgements, otherwise participants MAY be
> discouraged (depends on individual culture).
> +++++++++++++++++++++++++++++++++++++++++++++++++++++++
> 
> The below message in MANET WG list
>

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Sat, 23 Mar 2013 23:54:01 +0000

Jiazi, 

You've added a new sub-section, so my opinion is yes, we *do* need another WGLC for the document. There may not be a ton of text here, but adding a section (or a sub-section) is a pretty significant change. Therefore, I think the WG should have an opportunity to express its consensus. Unless, of course, I get over-ridden by my co-chair and/or the ADs… ;-)

Regards,
Stan

---

From: Thomas Heide Clausen <[email-masked]>
Date: Sun, 24 Mar 2013 01:40:38 +0100

Given the extremely limited change from -01 to -02, may I suggest that it be an 1 week WGLC (although, I do not see the need for a WGLC at all)?

Sent from my iPad

---

From: Henning Rogge <[email-masked]>
Date: Sun, 24 Mar 2013 10:10:16 +0100

Hi,

I think the new document is good.

Henning Rogge

-- 
We began as wanderers, and we are wanderers still. We have lingured
long enough on the shores of the cosmic ocean. We are ready at last to
set sail for the stars - Carl Sagan

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 24 Mar 2013 12:48:06 +0100

I disagree with the editors ack-decision, and also will request

Request/suggest
+++++++++++++
A two week WGLC not one week, the reason below,

Reason
++++++
There are some new drafts/updates related to; RFC6130, security-doc,
and OLSRv2, which need review related to this draft.

AB

On 3/23/13, Jiazi Yi <[email-masked]> wrote:
> Dear AB,
>
> On this particular issue (threats of packet sequence number), as far as I
> can remember, the change was not based on (or influenced by) your input. In
> the meantime, the input from Chris, Henning, Teco, etc., does have impact on
> the document.
>
> It is true that you mentioned several times that message sequence number
> threat should be kept in nhdp-sec-threat. However, you didn't provide valid
> technical argument why it should be kept. Actually, there is no doubt that
> the original section of sequence number in -00 revision was wrong.
>
> Simply saying "I want *foo*, not *bar*" - without explaining why - doesn't
> say much thing. Even *foo* was adopted in the end.
> In the contrast, even some one is against *foo*, but he provided valid
> arguments during the discussion that help improving the design, he should be
> regarded as contributor.
>
> Last but not least, we acknowledged all the MANET participants - if you
> regard yourself as one of the participants, then you are acknowledged.
>
> btw, I remembered that you brought a discussion on RFC Acknowledgement
> http://www.ietf.org/mail-archive/web/ietf/current/msg77065.html before. I
> didn't follow that thread, but I think other participants have already
> explained fairly well how it works.
> My personal suggestion is that, if you put move attention to the previous
> sections of the document(s), rather than acknowledgment section, you would
> be naturally listed there - that's how IETF works.
>
> sincerely
>
> Jiazi
>
>>> The authors of nhdp-sec-threats have submitted a new revision based on
>>> the
>>> comments during WGLC.
>>>
>>> I suppose that if this section gets approved, there is no need for
>>> another
>>> WGLC for the whole document?
>>>
>>> best
>>>
>>> Jiazi
>>>
>>> Begin forwarded message:
>>>

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 24 Mar 2013 12:58:06 +0100

Hi Stan,

I agree and will add that this significant change can be related to
the other new sec-documents, which they need review as well before
submitting this draft.

AB

On 3/24/13, Stan Ratliff (sratliff) <[email-masked]> wrote:
> Jiazi,
>
> You've added a new sub-section, so my opinion is yes, we *do* need another
> WGLC for the document. There may not be a ton of text here, but adding a
> section (or a sub-section) is a pretty significant change. Therefore, I
> think the WG should have an opportunity to express its consensus. Unless, of
> course, I get over-ridden by my co-chair and/or the ADs… ;-)
>
> Regards,
> Stan
>

---

From: Daniel He <[email-masked]>
Date: Sun, 24 Mar 2013 12:37:19 +0000

Hi Stan and others,

I reviewed  the text added. It is not  a significant change
even if you think "Attack on Link Quality Update" SHOULD be counted in.
the whole perspective of the draft is good.

however,  "NHDP does not specify how to acquire link quality updates
>  normatively", it looks like that HNDP assumed the link quality update
is secure and underlying mechanism took care of this. I don't know this
section is a must. it is only [optional]! Even if this section is removed,
the draft doesn't change a thing.

Cheers,
Dan

On 23 March 2013 23:54, Stan Ratliff (sratliff) <[email-masked]> wrote:

> think the WG should have an opportunity to express its consensus. Unless,
> of course, I get over-ridden by my co-chair and/or the ADs… ;-)
>
> Regards,
> Stan
>
> the comments during WGLC.
> >
> another WGLC for the whole document?
> >
> > best
> >
> > Jiazi
> >
> > Begin forwarded message:
> >

---

From: Ulrich Herberg <[email-masked]>
Date: Sun, 24 Mar 2013 10:51:11 -0700

Hi,

I agree with Daniel. The change is minimal, and it is a very short section to read, so I hope that a one week WGLC would be sufficient.

Best regards
Ulrich

Sent from my iPad

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Mon, 25 Mar 2013 17:30:45 +0000

WG, 

I've re-started the WGLC on this document. There's a 2-week WGLC period, ending on April 8, 2013. 

Regards,
Stan